package com.faraphel.tasks_valider.ui.screen.authentification

import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.text.input.PasswordVisualTransformation


/**
 * Authentification screen where the client can give his information
 */
@Composable
fun AuthentificationClientScreen() {
    val cardId = remember { mutableStateOf("") }
    val password = remember { mutableStateOf("") }

    Column {
        // card identifier
        TextField(
            value = cardId.value,
            onValueChange = { text -> cardId.value = text },
        )

        // password
        TextField(
            value = password.value,
            visualTransformation = PasswordVisualTransformation(),
            onValueChange = { text -> password.value = text },
        )

        // button
        Button(onClick = { /* do something */ }) {
            Text("Submit")
        }
    }
}
