package com.faraphel.tasks_valider.database.api.server.entities

import com.faraphel.tasks_valider.database.api.server.entities.base.BaseTaskDatabaseApi
import com.faraphel.tasks_valider.database.dao.base.BaseTaskDao
import com.faraphel.tasks_valider.database.entities.PersonEntity
import com.faraphel.tasks_valider.database.entities.SessionEntity


class PersonDatabaseApi(
    dao: BaseTaskDao<PersonEntity>,
    session: SessionEntity
) : BaseTaskDatabaseApi<PersonEntity>(
    dao,
    session,
    PersonEntity::class.java
)
